websocket-sharp : WebSocketSharp.Net Namespace

# HttpListenerException Class

The exception that is thrown when an error occurs processing an HTTP request.

## Syntax

public class HttpListenerException : System.ComponentModel.Win32Exception

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from System.ComponentModel.Win32Exception.

## Public Constructors

| HttpListenerException () | Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class.
| HttpListenerException (int) | Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class with the specified errorCode.
| HttpListenerException (int, string) | Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class with the specified errorCode and message.

## Protected Constructors

| HttpListenerException (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext) | Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class from the specified System.Runtime.Serialization.SerializationInfo and System.Runtime.Serialization.StreamingContext classes.

## Public Properties

[read-only] override | ErrorCode | int . Gets a value that represents the error that occurred.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### HttpListenerException Constructor

> Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class.

> ## Syntax

> public HttpListenerException ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### HttpListenerException Constructor

> Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class with the specified errorCode.

> ## Syntax

> public HttpListenerException (int errorCode)

> #### Parameters

> > errorCode
> >   An int that contains an error code.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### HttpListenerException Constructor

> Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class with the specified errorCode and message.

> ## Syntax

> public HttpListenerException (int errorCode, string message)

> #### Parameters

> > errorCode
> >   An int that contains an error code.
> > message
> >   A string that describes the error.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### HttpListenerException Constructor

> Initializes a new instance of the WebSocketSharp.Net.HttpListenerException class from the specified System.Runtime.Serialization.SerializationInfo and System.Runtime.Serialization.StreamingContext classes.

> ## Syntax

> protected HttpListenerException (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   A System.Runtime.Serialization.SerializationInfo that contains the information required to deserialize the new WebSocketSharp.Net.HttpListenerException object.
> > streamingContext
> >   A System.Runtime.Serialization.StreamingContext.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ErrorCode Property

> Gets a value that represents the error that occurred.

> ## Syntax

> public override int ErrorCode { get; }

> #### Value

> > An int that contains an error code.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)